<template>
  <v-row class="d-flex justify-end">
    <v-dialog v-model="dialog" persistent width="600px">
      <template v-slot:activator="{ props }">
        <v-btn color="primary" v-bind="props" class="text-h2">
          +
        </v-btn>
      </template>
      <v-card>
        <v-card-title>
          <span class="text-h5">Craeate User</span>
        </v-card-title>
        <v-card-text>
          <v-container>
            <v-row>
              
                <v-col cols="6">
                <v-text-field v-model="fname" label="First name*" required></v-text-field>
              </v-col>
              <v-col cols="6">
                <v-text-field v-model="lname" label="Last name*" required></v-text-field>
              </v-col>
             
           
              

              <v-col cols="12">
                <v-text-field v-model="username" label="Username*" required></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-text-field v-model="password" label="password*" required></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-text-field v-model="email" label="email*" required></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-text-field v-model="avatar" label="Avatar"></v-text-field>
              </v-col>


            </v-row>
          </v-container>

        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn  variant="tonal" @click="dialog = false">
            Close
          </v-btn>
          <v-btn  class="bg-success"  @click="dialog = saveUser()">
            Save
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>

  
<script>


export default {
  data() {
    return {
      dialog: false,
      fname: '',
      lname: '',
      username: '',
      password: '',
      email: '',
      avatar: '',
    };
  },
  methods: {
    async saveUser() {
      const userData = {
        fname: this.fname,
        lname: this.lname,
        username: this.username,
        password: this.password,
        email: this.email,
        avatar: this.avatar,
      };


      fetch('https://www.melivecode.com/api/users/create', {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify(userData),
      })
        .then(response => {

          return response.json();
        })
        .then(data => {
          console.log('User created:', data);
          this.dialog = false;
          

        })
        
    },
  },
};
</script>
